X2Go Bug report logs - #192
Network shares will only be added the second time one selects them

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Thu, 25 Apr 2013 09:18:01 UTC

Severity: normal

Tags: confirmed, pending

Fixed in version 0.4.0.4

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package pyhoca-gui. (Thu, 25 Apr 2013 09:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 25 Apr 2013 09:18:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: Network shares will only be added the second time one selects them
Date: Thu, 25 Apr 2013 11:09:39 +0200
Package: pyhoca-gui
Severity: normal
Version 4.0.3

When a user tries to add a (network) share and ticks the box to save the selected map, nothing happens. Only the second time a user tries this it works


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package pyhoca-gui. (Thu, 25 Apr 2013 09:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 25 Apr 2013 09:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 192@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: 192@bugs.x2go.org <192@bugs.x2go.org>
Date: Thu, 25 Apr 2013 11:32:09 +0200
So suppose, you have 2 network shares and a local share. You are at home, so the network shares are not available, it will obviously only connect to the local share. Now if I add an extra share on my local system and tick 'store', only the network shares are stored in the sessions file. the other shares simply disappear from the sessions file.
I tested this in my own environment and the sessions file got updated alright, but obviously not in the correct way!!! 11:30:25


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package pyhoca-gui. (Thu, 25 Apr 2013 09:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 25 Apr 2013 09:48:01 GMT) Full text and rfc822 format available.

Message #15 received at 192@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: 192@bugs.x2go.org <192@bugs.x2go.org>
Subject: Additional info
Date: Thu, 25 Apr 2013 11:25:05 +0200
It is even worse as described earlier

It will actually delete the export info of the succesfully connected shares!!

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package pyhoca-gui. (Fri, 26 Apr 2013 15:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 26 Apr 2013 15:03:01 GMT) Full text and rfc822 format available.

Message #20 received at 192@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Dick Kniep <dick@lindix.nl>, 192@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#192: Network shares will only be added the second time one selects them
Date: Fri, 26 Apr 2013 17:00:34 +0200
[Message part 1 (text/plain, inline)]
tag #192 confirmed
thanks

Hi Dick,

On Do 25 Apr 2013 11:09:39 CEST Dick Kniep wrote:

> When a user tries to add a (network) share and ticks the box to save  
> the selected map, nothing happens. Only the second time a user tries  
> this it works

I can reproduce diverse weird behaviours of the mounting when the  
restoreexports switch is on. I could not backtrace what is happening  
there fully, yet.

Unfortunately, I won't be able to do any further work on this during  
the coming week. There may be a gap, but I can promise nothing.

If you happen to be able to provide a patch, I will see to its inclusion asap.

Sorry+Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 26 Apr 2013 15:03:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package pyhoca-gui. (Mon, 29 Apr 2013 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 29 Apr 2013 12:03:02 GMT) Full text and rfc822 format available.

Message #27 received at 192@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 192-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 192@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Mon, 29 Apr 2013 13:58:53 +0200 (CEST)
tag #192 pending
fixed #192 0.4.0.4
thanks

Hello,

X2Go issue #192 (src:python-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=5b554af

The issue will most likely be fixed in src:python-x2go (0.4.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 5b554af5af1a2521f5d1070ea21ef4d3bf46036d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Apr 29 13:58:46 2013 +0200

    Fix the restoreexports logic on mount/unmount/unmount all requests. Make sure client-side offline network shares do not get purged from the session profile configuration if unavailable. (Fixes: #192).

diff --git a/debian/changelog b/debian/changelog
index 1a70e8c..c191470 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,9 @@ python-x2go (0.4.0.4-0~x2go1) UNRELEASED; urgency=low
   * New upstream version (0.4.0.4):
     - Save exports in session profile directly after mounting/unmounting a share
       if the session profile parameter restoreexports is set.
+    - Fix the restoreexports logic on mount/unmount/unmount all requests.
+      Make sure client-side offline network shares do not get purged from the
+      session profile configuration if unavailable. (Fixes: #192). 
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 21 Apr 2013 23:21:29 +0200
 


Bug reassigned from package 'pyhoca-gui' to 'python-x2go'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 29 Apr 2013 12:03:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Apr 2013 12:03:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.4.0.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Apr 2013 12:03:03 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#192. (Mon, 29 Apr 2013 12:03:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#192; Package python-x2go. (Tue, 18 Jun 2013 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 18 Jun 2013 18:33:02 GMT) Full text and rfc822 format available.

Message #41 received at 192@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 192-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 192@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as closed
Date: Tue, 18 Jun 2013 20:28:20 +0200 (CEST)
close #192
thanks

Hello,

we are very hopeful that X2Go issue #192 reported by you
has been resolved in the new release (0.4.0.4) of the
X2Go source project »src:python-x2go«.

You can view the complete changelog entry of src:python-x2go (0.4.0.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:python-x2go.

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=541cc325a92511fb2dfe8cbe4fb318a1b20bb40e;hp=e05c33eff01a2f040b626a7954d90e8fd61375c2

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:python-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:python-x2go
Version: 0.4.0.4
Status: RELEASE
Date: Tue, 18 Jun 2013 20:27:42 +0200
Fixes: 192
Changes: 
 python-x2go (0.4.0.4) RELEASED; urgency=low
 .
   * New upstream version (0.4.0.4):
     - Save exports in session profile directly after mounting/unmounting a share
       if the session profile parameter restoreexports is set.
     - Fix the restoreexports logic on mount/unmount/unmount all requests.
       Make sure client-side offline network shares do not get purged from the
       session profile configuration if unavailable. (Fixes: #192).
     - Become aware of fixed paramiko features since paramiko 1.11.0. Stop
       monkey patching those methods that got fixed in 1.11.0.
     - Ignore KeyError exceptions in session cache for suddenly removed cache items.
       Silence/fix some race conditions on connection failures.
     - Support mounting client-side folders on UNC paths.
     - Enable keepalive callbacks on open SSH client connections.
     - Only do x2golistmounts calls for the session cache on running sessions.
     - Fix renaming of profile names.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Jun 2013 18:33:02 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 18:33:02 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#192. (Tue, 18 Jun 2013 18:33:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 17 Jul 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 10:51:13 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.